org.eclipse.viatra.cep.vepl.vepl

## Interface VeplPackage.Literals

- Enclosing interface:
    VeplPackage

      public static interface VeplPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ABSTRACT_ATOMIC_EVENT_PATTERN` The meta object literal for the '`Abstract Atomic Event Pattern`' class.
    `static org.eclipse.emf.ecore.EClass` | `ABSTRACT_MULTIPLICITY` The meta object literal for the '`Abstract Multiplicity`' class.
    `static org.eclipse.emf.ecore.EClass` | `AND_OPERATOR` The meta object literal for the '`And Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `AT_LEAST_ONE` The meta object literal for the '`At Least One`' class.
    `static org.eclipse.emf.ecore.EClass` | `ATOM` The meta object literal for the '`Atom`' class.
    `static org.eclipse.emf.ecore.EReference` | `ATOM__PATTERN_CALL` The meta object literal for the 'Pattern Call' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `ATOMIC_EVENT_PATTERN` The meta object literal for the '`Atomic Event Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION` The meta object literal for the 'Check Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `ATOMIC_EVENT_PATTERN__TRAITS` The meta object literal for the 'Traits' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `BINARY_OPERATOR` The meta object literal for the '`Binary Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `CHAINED_EXPRESSION` The meta object literal for the '`Chained Expression`' class.
    `static org.eclipse.emf.ecore.EReference` | `CHAINED_EXPRESSION__EXPRESSION` The meta object literal for the 'Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `CHAINED_EXPRESSION__OPERATOR` The meta object literal for the 'Operator' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `COMPLEX_EVENT_EXPRESSION` The meta object literal for the '`Complex Event Expression`' class.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_EXPRESSION__LEFT` The meta object literal for the 'Left' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_EXPRESSION__MULTIPLICITY` The meta object literal for the 'Multiplicity' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR` The meta object literal for the 'Neg Operator' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_EXPRESSION__RIGHT` The meta object literal for the 'Right' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_EXPRESSION__TIMEWINDOW` The meta object literal for the 'Timewindow' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `COMPLEX_EVENT_OPERATOR` The meta object literal for the '`Complex Event Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `COMPLEX_EVENT_PATTERN` The meta object literal for the '`Complex Event Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION` The meta object literal for the 'Complex Event Expression' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `COMPLEX_EVENT_PATTERN__CONTEXT` The meta object literal for the 'Context' attribute feature.
    `static org.eclipse.emf.ecore.EEnum` | `CONTEXT_ENUM` The meta object literal for the '`Context Enum`' enum.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_MODEL` The meta object literal for the '`Event Model`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_MODEL__CONTEXT` The meta object literal for the 'Context' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_MODEL__IMPORTS` The meta object literal for the 'Imports' containment reference list feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_MODEL__MODEL_ELEMENTS` The meta object literal for the 'Model Elements' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_MODEL__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_PATTERN` The meta object literal for the '`Event Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_PATTERN__PARAMETERS` The meta object literal for the 'Parameters' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `FOLLOWS_OPERATOR` The meta object literal for the '`Follows Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `GENERIC_IMPORT` The meta object literal for the '`Generic Import`' class.
    `static org.eclipse.emf.ecore.EClass` | `IMPORT` The meta object literal for the '`Import`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `IMPORT__IMPORTED_NAMESPACE` The meta object literal for the 'Imported Namespace' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `INFINITE` The meta object literal for the '`Infinite`' class.
    `static org.eclipse.emf.ecore.EClass` | `MODEL_ELEMENT` The meta object literal for the '`Model Element`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MODEL_ELEMENT__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `MULTIPLICITY` The meta object literal for the '`Multiplicity`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MULTIPLICITY__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `NEG_OPERATOR` The meta object literal for the '`Neg Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `OR_OPERATOR` The meta object literal for the '`Or Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETERIZED_PATTERN_CALL` The meta object literal for the '`Parameterized Pattern Call`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN` The meta object literal for the 'Event Pattern' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST` The meta object literal for the 'Parameter List' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PARAMETRIZED_QUERY_REFERENCE` The meta object literal for the '`Parametrized Query Reference`' class.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST` The meta object literal for the 'Parameter List' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `PARAMETRIZED_QUERY_REFERENCE__QUERY` The meta object literal for the 'Query' reference feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_CALL_PARAMETER` The meta object literal for the '`Pattern Call Parameter`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `PATTERN_CALL_PARAMETER__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `PATTERN_CALL_PARAMETER_LIST` The meta object literal for the '`Pattern Call Parameter List`' class.
    `static org.eclipse.emf.ecore.EReference` | `PATTERN_CALL_PARAMETER_LIST__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `QUERY_IMPORT` The meta object literal for the '`Query Import`' class.
    `static org.eclipse.emf.ecore.EClass` | `QUERY_RESULT_CHANGE_EVENT_PATTERN` The meta object literal for the '`Query Result Change Event Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE` The meta object literal for the 'Query Reference' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE` The meta object literal for the 'Result Change Type' attribute feature.
    `static org.eclipse.emf.ecore.EEnum` | `QUERY_RESULT_CHANGE_TYPE` The meta object literal for the '`Query Result Change Type`' enum.
    `static org.eclipse.emf.ecore.EClass` | `RULE` The meta object literal for the '`Rule`' class.
    `static org.eclipse.emf.ecore.EReference` | `RULE__ACTION` The meta object literal for the 'Action' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `RULE__EVENT_PATTERNS` The meta object literal for the 'Event Patterns' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TIMEWINDOW` The meta object literal for the '`Timewindow`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TIMEWINDOW__LENGTH` The meta object literal for the 'Length' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `TRAIT` The meta object literal for the '`Trait`' class.
    `static org.eclipse.emf.ecore.EReference` | `TRAIT__PARAMETERS` The meta object literal for the 'Parameters' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `TRAIT_LIST` The meta object literal for the '`Trait List`' class.
    `static org.eclipse.emf.ecore.EReference` | `TRAIT_LIST__TRAITS` The meta object literal for the 'Traits' reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TRAIT_TYPED_PARAMETER_LIST` The meta object literal for the '`Trait Typed Parameter List`' class.
    `static org.eclipse.emf.ecore.EReference` | `TRAIT_TYPED_PARAMETER_LIST__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPED_PARAMETER` The meta object literal for the '`Typed Parameter`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TYPED_PARAMETER__NAME` The meta object literal for the 'Name' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_PARAMETER__TYPE` The meta object literal for the 'Type' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPED_PARAMETER_LIST` The meta object literal for the '`Typed Parameter List`' class.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_PARAMETER_LIST__PARAMETERS` The meta object literal for the 'Parameters' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE` The meta object literal for the '`Typed Parameter With Default Value`' class.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER` The meta object literal for the 'Typed Parameter' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE` The meta object literal for the 'Value' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `UNARY_OPERATOR` The meta object literal for the '`Unary Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `UNTIL_OPERATOR` The meta object literal for the '`Until Operator`' class.

- - ### Field Detail

    - #### EVENT_MODEL

          static final org.eclipse.emf.ecore.EClass EVENT_MODEL

      The meta object literal for the '`Event Model`' class.
      See Also:
        `EventModelImpl`, `VeplPackageImpl.getEventModel()`
      Generated:

    - #### EVENT_MODEL__NAME

          static final org.eclipse.emf.ecore.EAttribute EVENT_MODEL__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### EVENT_MODEL__IMPORTS

          static final org.eclipse.emf.ecore.EReference EVENT_MODEL__IMPORTS

      The meta object literal for the 'Imports' containment reference list feature.
      Generated:

    - #### EVENT_MODEL__CONTEXT

          static final org.eclipse.emf.ecore.EAttribute EVENT_MODEL__CONTEXT

      The meta object literal for the 'Context' attribute feature.
      Generated:

    - #### EVENT_MODEL__MODEL_ELEMENTS

          static final org.eclipse.emf.ecore.EReference EVENT_MODEL__MODEL_ELEMENTS

      The meta object literal for the 'Model Elements' containment reference list feature.
      Generated:

    - #### IMPORT

          static final org.eclipse.emf.ecore.EClass IMPORT

      The meta object literal for the '`Import`' class.
      See Also:
        `ImportImpl`, `VeplPackageImpl.getImport()`
      Generated:

    - #### IMPORT__IMPORTED_NAMESPACE

          static final org.eclipse.emf.ecore.EAttribute IMPORT__IMPORTED_NAMESPACE

      The meta object literal for the 'Imported Namespace' attribute feature.
      Generated:

    - #### GENERIC_IMPORT

          static final org.eclipse.emf.ecore.EClass GENERIC_IMPORT

      The meta object literal for the '`Generic Import`' class.
      See Also:
        `GenericImportImpl`, `VeplPackageImpl.getGenericImport()`
      Generated:

    - #### QUERY_IMPORT

          static final org.eclipse.emf.ecore.EClass QUERY_IMPORT

      The meta object literal for the '`Query Import`' class.
      See Also:
        `QueryImportImpl`, `VeplPackageImpl.getQueryImport()`
      Generated:

    - #### MODEL_ELEMENT

          static final org.eclipse.emf.ecore.EClass MODEL_ELEMENT

      The meta object literal for the '`Model Element`' class.
      See Also:
        `ModelElementImpl`, `VeplPackageImpl.getModelElement()`
      Generated:

    - #### MODEL_ELEMENT__NAME

          static final org.eclipse.emf.ecore.EAttribute MODEL_ELEMENT__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### TRAIT

          static final org.eclipse.emf.ecore.EClass TRAIT

      The meta object literal for the '`Trait`' class.
      See Also:
        `TraitImpl`, `VeplPackageImpl.getTrait()`
      Generated:

    - #### TRAIT__PARAMETERS

          static final org.eclipse.emf.ecore.EReference TRAIT__PARAMETERS

      The meta object literal for the 'Parameters' containment reference feature.
      Generated:

    - #### EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass EVENT_PATTERN

      The meta object literal for the '`Event Pattern`' class.
      See Also:
        `EventPatternImpl`, `VeplPackageImpl.getEventPattern()`
      Generated:

    - #### EVENT_PATTERN__PARAMETERS

          static final org.eclipse.emf.ecore.EReference EVENT_PATTERN__PARAMETERS

      The meta object literal for the 'Parameters' containment reference feature.
      Generated:

    - #### ABSTRACT_ATOMIC_EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass ABSTRACT_ATOMIC_EVENT_PATTERN

      The meta object literal for the '`Abstract Atomic Event Pattern`' class.
      See Also:
        `AbstractAtomicEventPatternImpl`, `VeplPackageImpl.getAbstractAtomicEventPattern()`
      Generated:

    - #### ATOMIC_EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass ATOMIC_EVENT_PATTERN

      The meta object literal for the '`Atomic Event Pattern`' class.
      See Also:
        `AtomicEventPatternImpl`, `VeplPackageImpl.getAtomicEventPattern()`
      Generated:

    - #### ATOMIC_EVENT_PATTERN__TRAITS

          static final org.eclipse.emf.ecore.EReference ATOMIC_EVENT_PATTERN__TRAITS

      The meta object literal for the 'Traits' containment reference feature.
      Generated:

    - #### ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION

          static final org.eclipse.emf.ecore.EReference ATOMIC_EVENT_PATTERN__CHECK_EXPRESSION

      The meta object literal for the 'Check Expression' containment reference feature.
      Generated:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass QUERY_RESULT_CHANGE_EVENT_PATTERN

      The meta object literal for the '`Query Result Change Event Pattern`' class.
      See Also:
        `QueryResultChangeEventPatternImpl`, `VeplPackageImpl.getQueryResultChangeEventPattern()`
      Generated:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE

          static final org.eclipse.emf.ecore.EReference QUERY_RESULT_CHANGE_EVENT_PATTERN__QUERY_REFERENCE

      The meta object literal for the 'Query Reference' containment reference feature.
      Generated:

    - #### QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE

          static final org.eclipse.emf.ecore.EAttribute QUERY_RESULT_CHANGE_EVENT_PATTERN__RESULT_CHANGE_TYPE

      The meta object literal for the 'Result Change Type' attribute feature.
      Generated:

    - #### COMPLEX_EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass COMPLEX_EVENT_PATTERN

      The meta object literal for the '`Complex Event Pattern`' class.
      See Also:
        `ComplexEventPatternImpl`, `VeplPackageImpl.getComplexEventPattern()`
      Generated:

    - #### COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_PATTERN__COMPLEX_EVENT_EXPRESSION

      The meta object literal for the 'Complex Event Expression' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_PATTERN__CONTEXT

          static final org.eclipse.emf.ecore.EAttribute COMPLEX_EVENT_PATTERN__CONTEXT

      The meta object literal for the 'Context' attribute feature.
      Generated:

    - #### RULE

          static final org.eclipse.emf.ecore.EClass RULE

      The meta object literal for the '`Rule`' class.
      See Also:
        `RuleImpl`, `VeplPackageImpl.getRule()`
      Generated:

    - #### RULE__EVENT_PATTERNS

          static final org.eclipse.emf.ecore.EReference RULE__EVENT_PATTERNS

      The meta object literal for the 'Event Patterns' containment reference list feature.
      Generated:

    - #### RULE__ACTION

          static final org.eclipse.emf.ecore.EReference RULE__ACTION

      The meta object literal for the 'Action' containment reference feature.
      Generated:

    - #### TRAIT_LIST

          static final org.eclipse.emf.ecore.EClass TRAIT_LIST

      The meta object literal for the '`Trait List`' class.
      See Also:
        `TraitListImpl`, `VeplPackageImpl.getTraitList()`
      Generated:

    - #### TRAIT_LIST__TRAITS

          static final org.eclipse.emf.ecore.EReference TRAIT_LIST__TRAITS

      The meta object literal for the 'Traits' reference list feature.
      Generated:

    - #### TYPED_PARAMETER_LIST

          static final org.eclipse.emf.ecore.EClass TYPED_PARAMETER_LIST

      The meta object literal for the '`Typed Parameter List`' class.
      See Also:
        `TypedParameterListImpl`, `VeplPackageImpl.getTypedParameterList()`
      Generated:

    - #### TYPED_PARAMETER_LIST__PARAMETERS

          static final org.eclipse.emf.ecore.EReference TYPED_PARAMETER_LIST__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### TYPED_PARAMETER

          static final org.eclipse.emf.ecore.EClass TYPED_PARAMETER

      The meta object literal for the '`Typed Parameter`' class.
      See Also:
        `TypedParameterImpl`, `VeplPackageImpl.getTypedParameter()`
      Generated:

    - #### TYPED_PARAMETER__NAME

          static final org.eclipse.emf.ecore.EAttribute TYPED_PARAMETER__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### TYPED_PARAMETER__TYPE

          static final org.eclipse.emf.ecore.EReference TYPED_PARAMETER__TYPE

      The meta object literal for the 'Type' containment reference feature.
      Generated:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE

          static final org.eclipse.emf.ecore.EClass TYPED_PARAMETER_WITH_DEFAULT_VALUE

      The meta object literal for the '`Typed Parameter With Default Value`' class.
      See Also:
        `TypedParameterWithDefaultValueImpl`, `VeplPackageImpl.getTypedParameterWithDefaultValue()`
      Generated:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER

          static final org.eclipse.emf.ecore.EReference TYPED_PARAMETER_WITH_DEFAULT_VALUE__TYPED_PARAMETER

      The meta object literal for the 'Typed Parameter' containment reference feature.
      Generated:

    - #### TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE

          static final org.eclipse.emf.ecore.EReference TYPED_PARAMETER_WITH_DEFAULT_VALUE__VALUE

      The meta object literal for the 'Value' containment reference feature.
      Generated:

    - #### TRAIT_TYPED_PARAMETER_LIST

          static final org.eclipse.emf.ecore.EClass TRAIT_TYPED_PARAMETER_LIST

      The meta object literal for the '`Trait Typed Parameter List`' class.
      See Also:
        `TraitTypedParameterListImpl`, `VeplPackageImpl.getTraitTypedParameterList()`
      Generated:

    - #### TRAIT_TYPED_PARAMETER_LIST__PARAMETERS

          static final org.eclipse.emf.ecore.EReference TRAIT_TYPED_PARAMETER_LIST__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### PARAMETRIZED_QUERY_REFERENCE

          static final org.eclipse.emf.ecore.EClass PARAMETRIZED_QUERY_REFERENCE

      The meta object literal for the '`Parametrized Query Reference`' class.
      See Also:
        `ParametrizedQueryReferenceImpl`, `VeplPackageImpl.getParametrizedQueryReference()`
      Generated:

    - #### PARAMETRIZED_QUERY_REFERENCE__QUERY

          static final org.eclipse.emf.ecore.EReference PARAMETRIZED_QUERY_REFERENCE__QUERY

      The meta object literal for the 'Query' reference feature.
      Generated:

    - #### PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST

          static final org.eclipse.emf.ecore.EReference PARAMETRIZED_QUERY_REFERENCE__PARAMETER_LIST

      The meta object literal for the 'Parameter List' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION

          static final org.eclipse.emf.ecore.EClass COMPLEX_EVENT_EXPRESSION

      The meta object literal for the '`Complex Event Expression`' class.
      See Also:
        `ComplexEventExpressionImpl`, `VeplPackageImpl.getComplexEventExpression()`
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION__LEFT

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_EXPRESSION__LEFT

      The meta object literal for the 'Left' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION__RIGHT

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_EXPRESSION__RIGHT

      The meta object literal for the 'Right' containment reference list feature.
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION__MULTIPLICITY

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_EXPRESSION__MULTIPLICITY

      The meta object literal for the 'Multiplicity' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION__TIMEWINDOW

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_EXPRESSION__TIMEWINDOW

      The meta object literal for the 'Timewindow' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_EXPRESSION__NEG_OPERATOR

      The meta object literal for the 'Neg Operator' containment reference feature.
      Generated:

    - #### CHAINED_EXPRESSION

          static final org.eclipse.emf.ecore.EClass CHAINED_EXPRESSION

      The meta object literal for the '`Chained Expression`' class.
      See Also:
        `ChainedExpressionImpl`, `VeplPackageImpl.getChainedExpression()`
      Generated:

    - #### CHAINED_EXPRESSION__OPERATOR

          static final org.eclipse.emf.ecore.EReference CHAINED_EXPRESSION__OPERATOR

      The meta object literal for the 'Operator' containment reference feature.
      Generated:

    - #### CHAINED_EXPRESSION__EXPRESSION

          static final org.eclipse.emf.ecore.EReference CHAINED_EXPRESSION__EXPRESSION

      The meta object literal for the 'Expression' containment reference feature.
      Generated:

    - #### ATOM

          static final org.eclipse.emf.ecore.EClass ATOM

      The meta object literal for the '`Atom`' class.
      See Also:
        `AtomImpl`, `VeplPackageImpl.getAtom()`
      Generated:

    - #### ATOM__PATTERN_CALL

          static final org.eclipse.emf.ecore.EReference ATOM__PATTERN_CALL

      The meta object literal for the 'Pattern Call' containment reference feature.
      Generated:

    - #### ABSTRACT_MULTIPLICITY

          static final org.eclipse.emf.ecore.EClass ABSTRACT_MULTIPLICITY

      The meta object literal for the '`Abstract Multiplicity`' class.
      See Also:
        `AbstractMultiplicityImpl`, `VeplPackageImpl.getAbstractMultiplicity()`
      Generated:

    - #### TIMEWINDOW

          static final org.eclipse.emf.ecore.EClass TIMEWINDOW

      The meta object literal for the '`Timewindow`' class.
      See Also:
        `TimewindowImpl`, `VeplPackageImpl.getTimewindow()`
      Generated:

    - #### TIMEWINDOW__LENGTH

          static final org.eclipse.emf.ecore.EAttribute TIMEWINDOW__LENGTH

      The meta object literal for the 'Length' attribute feature.
      Generated:

    - #### PARAMETERIZED_PATTERN_CALL

          static final org.eclipse.emf.ecore.EClass PARAMETERIZED_PATTERN_CALL

      The meta object literal for the '`Parameterized Pattern Call`' class.
      See Also:
        `ParameterizedPatternCallImpl`, `VeplPackageImpl.getParameterizedPatternCall()`
      Generated:

    - #### PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN

          static final org.eclipse.emf.ecore.EReference PARAMETERIZED_PATTERN_CALL__EVENT_PATTERN

      The meta object literal for the 'Event Pattern' reference feature.
      Generated:

    - #### PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST

          static final org.eclipse.emf.ecore.EReference PARAMETERIZED_PATTERN_CALL__PARAMETER_LIST

      The meta object literal for the 'Parameter List' containment reference feature.
      Generated:

    - #### PATTERN_CALL_PARAMETER_LIST

          static final org.eclipse.emf.ecore.EClass PATTERN_CALL_PARAMETER_LIST

      The meta object literal for the '`Pattern Call Parameter List`' class.
      See Also:
        `PatternCallParameterListImpl`, `VeplPackageImpl.getPatternCallParameterList()`
      Generated:

    - #### PATTERN_CALL_PARAMETER_LIST__PARAMETERS

          static final org.eclipse.emf.ecore.EReference PATTERN_CALL_PARAMETER_LIST__PARAMETERS

      The meta object literal for the 'Parameters' containment reference list feature.
      Generated:

    - #### PATTERN_CALL_PARAMETER

          static final org.eclipse.emf.ecore.EClass PATTERN_CALL_PARAMETER

      The meta object literal for the '`Pattern Call Parameter`' class.
      See Also:
        `PatternCallParameterImpl`, `VeplPackageImpl.getPatternCallParameter()`
      Generated:

    - #### PATTERN_CALL_PARAMETER__NAME

          static final org.eclipse.emf.ecore.EAttribute PATTERN_CALL_PARAMETER__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated:

    - #### COMPLEX_EVENT_OPERATOR

          static final org.eclipse.emf.ecore.EClass COMPLEX_EVENT_OPERATOR

      The meta object literal for the '`Complex Event Operator`' class.
      See Also:
        `ComplexEventOperatorImpl`, `VeplPackageImpl.getComplexEventOperator()`
      Generated:

    - #### BINARY_OPERATOR

          static final org.eclipse.emf.ecore.EClass BINARY_OPERATOR

      The meta object literal for the '`Binary Operator`' class.
      See Also:
        `BinaryOperatorImpl`, `VeplPackageImpl.getBinaryOperator()`
      Generated:

    - #### UNARY_OPERATOR

          static final org.eclipse.emf.ecore.EClass UNARY_OPERATOR

      The meta object literal for the '`Unary Operator`' class.
      See Also:
        `UnaryOperatorImpl`, `VeplPackageImpl.getUnaryOperator()`
      Generated:

    - #### FOLLOWS_OPERATOR

          static final org.eclipse.emf.ecore.EClass FOLLOWS_OPERATOR

      The meta object literal for the '`Follows Operator`' class.
      See Also:
        `FollowsOperatorImpl`, `VeplPackageImpl.getFollowsOperator()`
      Generated:

    - #### OR_OPERATOR

          static final org.eclipse.emf.ecore.EClass OR_OPERATOR

      The meta object literal for the '`Or Operator`' class.
      See Also:
        `OrOperatorImpl`, `VeplPackageImpl.getOrOperator()`
      Generated:

    - #### AND_OPERATOR

          static final org.eclipse.emf.ecore.EClass AND_OPERATOR

      The meta object literal for the '`And Operator`' class.
      See Also:
        `AndOperatorImpl`, `VeplPackageImpl.getAndOperator()`
      Generated:

    - #### UNTIL_OPERATOR

          static final org.eclipse.emf.ecore.EClass UNTIL_OPERATOR

      The meta object literal for the '`Until Operator`' class.
      See Also:
        `UntilOperatorImpl`, `VeplPackageImpl.getUntilOperator()`
      Generated:

    - #### NEG_OPERATOR

          static final org.eclipse.emf.ecore.EClass NEG_OPERATOR

      The meta object literal for the '`Neg Operator`' class.
      See Also:
        `NegOperatorImpl`, `VeplPackageImpl.getNegOperator()`
      Generated:

    - #### MULTIPLICITY

          static final org.eclipse.emf.ecore.EClass MULTIPLICITY

      The meta object literal for the '`Multiplicity`' class.
      See Also:
        `MultiplicityImpl`, `VeplPackageImpl.getMultiplicity()`
      Generated:

    - #### MULTIPLICITY__VALUE

          static final org.eclipse.emf.ecore.EAttribute MULTIPLICITY__VALUE

      The meta object literal for the 'Value' attribute feature.
      Generated:

    - #### INFINITE

          static final org.eclipse.emf.ecore.EClass INFINITE

      The meta object literal for the '`Infinite`' class.
      See Also:
        `InfiniteImpl`, `VeplPackageImpl.getInfinite()`
      Generated:

    - #### AT_LEAST_ONE

          static final org.eclipse.emf.ecore.EClass AT_LEAST_ONE

      The meta object literal for the '`At Least One`' class.
      See Also:
        `AtLeastOneImpl`, `VeplPackageImpl.getAtLeastOne()`
      Generated:

    - #### CONTEXT_ENUM

          static final org.eclipse.emf.ecore.EEnum CONTEXT_ENUM

      The meta object literal for the '`Context Enum`' enum.
      See Also:
        `ContextEnum`, `VeplPackageImpl.getContextEnum()`
      Generated:

    - #### QUERY_RESULT_CHANGE_TYPE

          static final org.eclipse.emf.ecore.EEnum QUERY_RESULT_CHANGE_TYPE

      The meta object literal for the '`Query Result Change Type`' enum.
      See Also:
        `QueryResultChangeType`, `VeplPackageImpl.getQueryResultChangeType()`
      Generated: